/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysimportinfo.service;

import java.util.List;

import com.jeeplus.common.utils.MenuStatusEnum;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.sysimportinfo.entity.SysImportInfo;
import com.jeeplus.modules.sysimportinfo.dao.SysImportInfoDao;

/**
 * 导入日志信息Service
 * @author 杨帆
 * @version 2018-04-02
 */
@Service
@Transactional(readOnly = true)
public class SysImportInfoService extends CrudService<SysImportInfoDao, SysImportInfo> {

	public SysImportInfo get(String id) {
		return super.get(id);
	}
	
	public List<SysImportInfo> findList(SysImportInfo sysImportInfo) {
		return super.findList(sysImportInfo);
	}
	
	public Page<SysImportInfo> findPage(Page<SysImportInfo> page, SysImportInfo sysImportInfo) {
		sysImportInfo.getSqlMap().put("dsf", dataScopeFilter(sysImportInfo.getCurrentUser(), "o", "u","s", MenuStatusEnum.SYS_IMPORT_INFO.getValue()));
		return super.findPage(page, sysImportInfo);
	}
	
	@Transactional(readOnly = false)
	public void save(SysImportInfo sysImportInfo) {
		super.save(sysImportInfo);
	}
	
	@Transactional(readOnly = false)
	public void delete(SysImportInfo sysImportInfo) {
		super.delete(sysImportInfo);
	}
	
	
	
	
}